[issue5359] _dbm extension only built using gdbm on linux

Matthias Klose report at bugs.python.org
Tue Feb 24 14:02:53 CET 2009


New submission from Matthias Klose <doko at debian.org>:

in 3.x the _dbm extension can only be built with gdbm as the backend
library. gdbm is licensed under the GPL, so some people/projects like
Debian may have objections to build _dbm with the gdbm backend. It gets
difficult to determine, which code then uses _dbm/anydbm/... and then
check if it is compatible with the GPL.

Unless there is an alternative like dbm.sqlite (issue 3783), I would
like to re-add the detection of the BerkleyDB headers and libs, such
that _dbm can be built again without depending on gdbm. Adding a
configure flag to explicitely select one implementation (issue 4587)
would be helpful.

Ok to go ahead?

----------
components: Build
messages: 82665
nosy: doko
severity: normal
status: open
title: _dbm extension only built using gdbm on linux
versions: Python 3.0, Python 3.1

_______________________________________
Python tracker <report at bugs.python.org>
<http://bugs.python.org/issue5359>
_______________________________________


More information about the Python-bugs-list mailing list